Loading...
Searching...
No Matches
OpenMesh::PropertyCreator Class Referenceabstract

Base class for property creators. More...

`#include <OpenMesh/Core/Utils/PropertyCreator.hh>`

Inheritance diagram for OpenMesh::PropertyCreator:
[legend]

## Public Member Functions

virtual std::string | type_string ()=0
| The string that corresponds to the type this property creator can create.
virtual std::string | type_id_string ()=0
bool | can_you_create (const std::string &_type_name)
| Returns true iff the given _type_name corresponds to the string the derived class can create a property for.
virtual void | create_vertex_property (BaseKernel &_mesh, const std::string &_property_name)=0
| Create a vertex property on _mesh with name _property_name.
virtual void | create_halfedge_property (BaseKernel &_mesh, const std::string &_property_name)=0
| Create a halfedge property on _mesh with name _property_name.
virtual void | create_edge_property (BaseKernel &_mesh, const std::string &_property_name)=0
| Create an edge property on _mesh with name _property_name.
virtual void | create_face_property (BaseKernel &_mesh, const std::string &_property_name)=0
| Create a face property on _mesh with name _property_name.
virtual void | create_mesh_property (BaseKernel &_mesh, const std::string &_property_name)=0
| Create a mesh property on _mesh with name _property_name.
template<typename HandleT>
void | create_property (BaseKernel &_mesh, const std::string &_property_name)
| Create a property for the element of type HandleT on _mesh with name _property_name.
template<>
void | create_property (BaseKernel &_mesh, const std::string &_property_name)
template<>
void | create_property (BaseKernel &_mesh, const std::string &_property_name)
template<>
void | create_property (BaseKernel &_mesh, const std::string &_property_name)
template<>
void | create_property (BaseKernel &_mesh, const std::string &_property_name)
template<>
void | create_property (BaseKernel &_mesh, const std::string &_property_name)

## Detailed Description

Base class for property creators.

A PropertyCreator can add a named property to a mesh. The type of the property is specified in the classes derived from this class.

## Member Function Documentation

## create_edge_property()

virtual void OpenMesh::PropertyCreator::create_edge_property | ( | BaseKernel & | _mesh,
|  | const std::string & | _property_name )

pure virtual

Create an edge property on _mesh with name _property_name.

Implemented in OpenMesh::PropertyCreatorImpl< PropertyCreatorT >.

## create_face_property()

virtual void OpenMesh::PropertyCreator::create_face_property | ( | BaseKernel & | _mesh,
|  | const std::string & | _property_name )

pure virtual

Create a face property on _mesh with name _property_name.

Implemented in OpenMesh::PropertyCreatorImpl< PropertyCreatorT >.

## create_halfedge_property()

virtual void OpenMesh::PropertyCreator::create_halfedge_property | ( | BaseKernel & | _mesh,
|  | const std::string & | _property_name )

pure virtual

Create a halfedge property on _mesh with name _property_name.

Implemented in OpenMesh::PropertyCreatorImpl< PropertyCreatorT >.

## create_mesh_property()

virtual void OpenMesh::PropertyCreator::create_mesh_property | ( | BaseKernel & | _mesh,
|  | const std::string & | _property_name )

pure virtual

Create a mesh property on _mesh with name _property_name.

Implemented in OpenMesh::PropertyCreatorImpl< PropertyCreatorT >.

## create_vertex_property()

virtual void OpenMesh::PropertyCreator::create_vertex_property | ( | BaseKernel & | _mesh,
|  | const std::string & | _property_name )

pure virtual

Create a vertex property on _mesh with name _property_name.

Implemented in OpenMesh::PropertyCreatorImpl< PropertyCreatorT >.

The documentation for this class was generated from the following files:

- OpenMesh/Core/Utils/PropertyCreator.hh
- OpenMesh/Core/Utils/PropertyCreator.cc